ClassDeclarationTree (Java SE 13 & JDK 13 )
Description: declaration: module: jdk.scripting.nashorn, package: jdk.nashorn.api.tree, interface: ClassDeclarationTree
Keywords: jdk.nashorn.api.tree.ClassDeclarationTree interface

Module jdk.scripting.nashorn
Package jdk.nashorn.api.tree

# Interface ClassDeclarationTree

All Superinterfaces:
  `StatementTree`, `Tree`

    @Deprecated(since="11",
                forRemoval=true)
    public interface ClassDeclarationTree
    extends StatementTree

Deprecated, for removal: This API element is subject to removal in a future version.
Nashorn JavaScript script engine and APIs, and the jjs tool are deprecated with the intent to remove them in a future release.
A tree node that represents a class declaration.

Since:
  9

- ## Nested Class Summary

  ## Nested classes/interfaces declared in interface jdk.nashorn.api.tree.Tree

  `Tree.Kind`

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `List<? extends PropertyTree>` | `getClassElements()` | Deprecated, for removal: This API element is subject to removal in a future version. Get other property definitions except for the constructor.
  `ExpressionTree` | `getClassHeritage()` | Deprecated, for removal: This API element is subject to removal in a future version. The expression of the `extends` clause.
  `PropertyTree` | `getConstructor()` | Deprecated, for removal: This API element is subject to removal in a future version. Get the constructor method definition.
  `IdentifierTree` | `getName()` | Deprecated, for removal: This API element is subject to removal in a future version. Class identifier.

  ### Methods declared in interface jdk.nashorn.api.tree.Tree

  `accept, getEndPosition, getKind, getStartPosition`

- ## Method Details

  - ### getName

    IdentifierTree getName()
    Deprecated, for removal: This API element is subject to removal in a future version.
    Class identifier.
    Returns:
      the class identifier

  - ### getClassHeritage

    ExpressionTree getClassHeritage()
    Deprecated, for removal: This API element is subject to removal in a future version.
    The expression of the `extends` clause. Optional.
    Returns:
      the class heritage

  - ### getConstructor

    PropertyTree getConstructor()
    Deprecated, for removal: This API element is subject to removal in a future version.
    Get the constructor method definition.
    Returns:
      the constructor

  - ### getClassElements

    List<? extends PropertyTree> getClassElements()
    Deprecated, for removal: This API element is subject to removal in a future version.
    Get other property definitions except for the constructor.
    Returns:
      the class elements